<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('conf.inc.php');

// check
	if (!$_POST['mf_no']){
		msg('올바른 URL로 접근하여 주십시오');
	}

// data
	// set data
	$q = "SELECT mf_is_read FROM ".$AUTH['auth_m_mf_table']." WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mf_no='" . $_POST['mf_no'] . "'";
	$mf_is_read = db_get_one($q);

	$success = true;
	$message = '';
	if ($mf_is_read === null) {
		$success = false;
		$message = '존재하지 않는 메일입니다.\n\n이미 삭제되었을 수 있습니다.';
	}

	if ($success) {
		if ($mf_is_read === 'Y') {
			$mf_is_read = 'N';
			$message    = '읽지않은 메일로 처리하였습니다.';

			db_update(
				$AUTH['auth_m_mf_table'],
				array(
					'mf_is_read'      => $mf_is_read,
					'mf_is_read_date' => null,
				),
				"m_no = ? AND mf_no= ? AND mf_is_read='Y'", array($AUTH['auth_m_no'], $_POST['mf_no']));
		} else {
			$mf_is_read = 'Y';
			$message    = '읽은 메일로 처리하였습니다.';

			db_update(
				$AUTH['auth_m_mf_table'],
				array(
					'mf_is_read'      => $mf_is_read,
					'mf_is_read_date' => date('Y-m-d H:i:s'),
				),
				"m_no = ? AND mf_no= ? AND mf_is_read='N'", array($AUTH['auth_m_no'], $_POST['mf_no']));
		}
	}

	echo response_json(array(
		'success' => $success,
		'message' => $message,
		'mf_is_read' => $mf_is_read,
	));

	exit;


//require_once('include/global_end.php');
?>